package com.engine.attendance.enums;

import com.finance.toolkit.BaseEnum;

/**
 * 系统项目
 */
public enum SystemItemEnum implements BaseEnum {
    NORMAL("1","正常"),
    WORK_DAY("2","工作日"),
    REST_DAY("3","假日"),
    HOLIDAY("4","节日"),
    ABNORMAL("5","异常"),
    NO_SCHEDULING("6","没有排班"),
    MISSING_CLOCK_IN("7","漏打卡"),
    MISSING_ABSENTEEISM("8","未匹配到缺勤"),
    ALGORITHM_MISSING("100","算法缺失");

    private String key;
    private String value;

    SystemItemEnum(String key, String value){
        this.key=key;
        this.value=value;
    }


    @Override
    public String getKey() {
        return this.key;
    }

    @Override
    public String getValue() {
        return this.value;
    }
}
